//
// File: LAAP.h
//
// Code generated for Simulink model 'LAAP'.
//
// Model version                  : 1.2
// Simulink Coder version         : 9.1 (R2019a) 23-Nov-2018
// C/C++ source code generated on : Mon Nov 18 17:57:49 2019
//
// Target selection: ert.tlc
// Embedded hardware selection: ARM Compatible->ARM Cortex
// Code generation objectives:
//    1. Execution efficiency
//    2. RAM efficiency
// Validation result: Not run
//
#ifndef RTW_HEADER_LAAP_h_
#define RTW_HEADER_LAAP_h_
#include <cmath>
#include <string.h>
#ifndef LAAP_COMMON_INCLUDES_
# define LAAP_COMMON_INCLUDES_
#include "rtwtypes.h"
#endif                                 // LAAP_COMMON_INCLUDES_

// Macros for accessing real-time model data structure
#ifndef rtmGetErrorStatus
# define rtmGetErrorStatus(rtm)        ((rtm)->errorStatus)
#endif

#ifndef rtmSetErrorStatus
# define rtmSetErrorStatus(rtm, val)   ((rtm)->errorStatus = (val))
#endif

// Forward declaration for rtModel
typedef struct tag_RTM RT_MODEL;

// Block signals and states (default storage) for system '<Root>'
typedef struct {
  real_T psy[12];                      // '<S5>/MATLAB Function3'
  real_T duty[4];                      // '<S5>/MATLAB Function1'
  real_T Delay_DSTATE[4];              // '<S1>/Delay'
  real_T Delay_DSTATE_h[3];            // '<S3>/Delay'
  real_T Delay1_DSTATE_l[3];           // '<S3>/Delay1'
  real_T Integrator_DSTATE_ep[6];      // '<S13>/Integrator'
  real_T Integrator_DSTATE_k[6];       // '<S14>/Integrator'
  real_T Delay_DSTATE_hf[12];          // '<S2>/Delay'
  real_T F[144];
  real_T Delay1[12];                   // '<S1>/Delay1'
  real_T rtb_Delay1_m[12];
  real_T F_c[12];
  real_T b_I[9];
  real_T R[9];
  real_T d[9];
  real_T dv0[9];
  real_T b_I_k[9];
  real_T R_c[9];
  real_T Integrator[6];                // '<S13>/Integrator'
  real_T Integrator_p[6];              // '<S14>/Integrator'
  real_T dv1[6];
  real_T A[4];
  real_T a_dotdot[3];
  real_T Iw_dot[3];
  real_T w_dot[3];
  real_T Zbdes[3];
  real_T Xc[3];
  real_T crossZX[3];
  real_T wb[3];                        // '<S3>/Euler equations of motion1 '
  real_T dv2[3];
  real_T Integrator_DSTATE;            // '<S141>/Integrator'
  real_T Filter_DSTATE;                // '<S136>/Filter'
  real_T Integrator_DSTATE_a;          // '<S273>/Integrator'
  real_T Filter_DSTATE_k;              // '<S268>/Filter'
  real_T Integrator_DSTATE_m;          // '<S185>/Integrator'
  real_T Filter_DSTATE_m;              // '<S180>/Filter'
  real_T Integrator_DSTATE_e;          // '<S53>/Integrator'
  real_T Filter_DSTATE_l;              // '<S48>/Filter'
  real_T Integrator_DSTATE_o;          // '<S97>/Integrator'
  real_T Filter_DSTATE_lo;             // '<S92>/Filter'
  real_T Integrator_DSTATE_ao;         // '<S229>/Integrator'
  real_T Filter_DSTATE_n;              // '<S224>/Filter'
  real_T maxval;
  real_T Add1_k;                       // '<S23>/Add1'
  real_T FilterCoefficient_a;          // '<S188>/Filter Coefficient'
  real_T FilterCoefficient_k;          // '<S100>/Filter Coefficient'
  real_T Add3_a;                       // '<S22>/Add3'
  real_T FilterCoefficient_i;          // '<S232>/Filter Coefficient'
  int8_T Integrator_PrevResetState;    // '<S13>/Integrator'
  int8_T Integrator_PrevResetState_n;  // '<S14>/Integrator'
  uint8_T Integrator_IC_LOADING;       // '<S14>/Integrator'
} DW;

// External inputs (root inport signals with default storage)
typedef struct {
  real_T rdot[3];                      // '<Root>/rdot'
  real_T r[3];                         // '<Root>/r'
  real_T wb[3];                        // '<Root>/wb'
  real_T angles[3];                    // '<Root>/angles'
  real_T x;                            // '<Root>/x'
  real_T y;                            // '<Root>/y'
  real_T z;                            // '<Root>/z'
  real_T phi;                          // '<Root>/phi'
  real_T theta;                        // '<Root>/theta'
  real_T psi;                          // '<Root>/psi'
} ExtU;

// External outputs (root outports fed by signals with default storage)
typedef struct {
  real_T u1;                           // '<Root>/u1 '
  real_T u2;                           // '<Root>/u2 '
  real_T u3;                           // '<Root>/u3'
  real_T u4;                           // '<Root>/u4'
} ExtY;

// Real-time Model Data Structure
struct tag_RTM {
  const char_T * volatile errorStatus;
};

// Class declaration for model LAAP
class LAAPModelClass {
  // public data and function members
 public:
  // model initialize function
  void initialize();

  // model step function
  void step();

  // Constructor
  LAAPModelClass();

  // Destructor
  ~LAAPModelClass();

  // Root inport: '<Root>/rdot' set method
  void setrdot(real_T localArgInput[3]);

  // Root inport: '<Root>/r' set method
  void setr(real_T localArgInput[3]);

  // Root inport: '<Root>/wb' set method
  void setwb(real_T localArgInput[3]);

  // Root inport: '<Root>/angles' set method
  void setangles(real_T localArgInput[3]);

  // Root inport: '<Root>/x' set method
  void setx(real_T localArgInput);

  // Root inport: '<Root>/y' set method
  void sety(real_T localArgInput);

  // Root inport: '<Root>/z' set method
  void setz(real_T localArgInput);

  // Root inport: '<Root>/phi' set method
  void setphi(real_T localArgInput);

  // Root inport: '<Root>/theta' set method
  void settheta(real_T localArgInput);

  // Root inport: '<Root>/psi' set method
  void setpsi(real_T localArgInput);

  // Root outport: '<Root>/u1 ' get method
  real_T getu1_() const;

  // Root outport: '<Root>/u2 ' get method
  real_T getu2_() const;

  // Root outport: '<Root>/u3' get method
  real_T getu3() const;

  // Root outport: '<Root>/u4' get method
  real_T getu4() const;

  // Real-Time Model get method
  RT_MODEL * getRTM();

  // protected data and function members
 protected:
  // External inputs
  ExtU rtU;

  // External outputs
  ExtY rtY;

  // private data and function members
 private:
  // Block signals and states
  DW rtDW;

  // Real-Time Model
  RT_MODEL rtM;
};

//-
//  These blocks were eliminated from the model due to optimizations:
//
//  Block '<S13>/Saturation' : Eliminated Saturate block
//  Block '<S14>/Saturation' : Eliminated Saturate block


//-
//  The generated code includes comments that allow you to trace directly
//  back to the appropriate location in the model.  The basic format
//  is <system>/block_name, where system is the system number (uniquely
//  assigned by Simulink) and block_name is the name of the block.
//
//  Use the MATLAB hilite_system command to trace the generated code back
//  to the model.  For example,
//
//  hilite_system('<S3>')    - opens system 3
//  hilite_system('<S3>/Kp') - opens and selects block Kp which resides in S3
//
//  Here is the system hierarchy for this model
//
//  '<Root>' : 'LAAP'
//  '<S1>'   : 'LAAP/Adaptive large angle controller'
//  '<S2>'   : 'LAAP/Adaptive large angle controller/largepaa'
//  '<S3>'   : 'LAAP/Adaptive large angle controller/quadcopter_dynamics_prediction'
//  '<S4>'   : 'LAAP/Adaptive large angle controller/small_angle_control'
//  '<S5>'   : 'LAAP/Adaptive large angle controller/largepaa/large_controller'
//  '<S6>'   : 'LAAP/Adaptive large angle controller/largepaa/parameter_adaptation_algorithm'
//  '<S7>'   : 'LAAP/Adaptive large angle controller/largepaa/large_controller/MATLAB Function1'
//  '<S8>'   : 'LAAP/Adaptive large angle controller/largepaa/large_controller/MATLAB Function3'
//  '<S9>'   : 'LAAP/Adaptive large angle controller/largepaa/parameter_adaptation_algorithm/MATLAB Function3'
//  '<S10>'  : 'LAAP/Adaptive large angle controller/quadcopter_dynamics_prediction/Euler equations of motion1 '
//  '<S11>'  : 'LAAP/Adaptive large angle controller/quadcopter_dynamics_prediction/Integrator (Discrete or Continuous)'
//  '<S12>'  : 'LAAP/Adaptive large angle controller/quadcopter_dynamics_prediction/Integrator (Discrete or Continuous)1'
//  '<S13>'  : 'LAAP/Adaptive large angle controller/quadcopter_dynamics_prediction/Integrator (Discrete or Continuous)/Discrete'
//  '<S14>'  : 'LAAP/Adaptive large angle controller/quadcopter_dynamics_prediction/Integrator (Discrete or Continuous)1/Discrete'
//  '<S15>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1'
//  '<S16>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2'
//  '<S17>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3'
//  '<S18>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4'
//  '<S19>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5'
//  '<S20>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6'
//  '<S21>'  : 'LAAP/Adaptive large angle controller/small_angle_control/MATLAB Function4'
//  '<S22>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Subsystem'
//  '<S23>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Subsystem1'
//  '<S24>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Anti-windup'
//  '<S25>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/D Gain'
//  '<S26>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Filter'
//  '<S27>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Filter ICs'
//  '<S28>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/I Gain'
//  '<S29>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Ideal P Gain'
//  '<S30>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Ideal P Gain Fdbk'
//  '<S31>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Integrator'
//  '<S32>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Integrator ICs'
//  '<S33>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/N Copy'
//  '<S34>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/N Gain'
//  '<S35>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/P Copy'
//  '<S36>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Parallel P Gain'
//  '<S37>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Reset Signal'
//  '<S38>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Saturation'
//  '<S39>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Saturation Fdbk'
//  '<S40>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Sum'
//  '<S41>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Sum Fdbk'
//  '<S42>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Tracking Mode'
//  '<S43>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Tracking Mode Sum'
//  '<S44>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/postSat Signal'
//  '<S45>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/preSat Signal'
//  '<S46>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Anti-windup/Passthrough'
//  '<S47>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/D Gain/Internal Parameters'
//  '<S48>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Filter/Disc. Forward Euler Filter'
//  '<S49>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Filter ICs/Internal IC - Filter'
//  '<S50>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/I Gain/Internal Parameters'
//  '<S51>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Ideal P Gain/Passthrough'
//  '<S52>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Ideal P Gain Fdbk/Disabled'
//  '<S53>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Integrator/Discrete'
//  '<S54>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Integrator ICs/Internal IC'
//  '<S55>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/N Copy/Disabled'
//  '<S56>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/N Gain/Internal Parameters'
//  '<S57>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/P Copy/Disabled'
//  '<S58>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Parallel P Gain/Internal Parameters'
//  '<S59>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Reset Signal/Disabled'
//  '<S60>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Saturation/Passthrough'
//  '<S61>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Saturation Fdbk/Disabled'
//  '<S62>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Sum/Sum_PID'
//  '<S63>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Sum Fdbk/Disabled'
//  '<S64>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Tracking Mode/Disabled'
//  '<S65>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/Tracking Mode Sum/Passthrough'
//  '<S66>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/postSat Signal/Forward_Path'
//  '<S67>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller1/preSat Signal/Forward_Path'
//  '<S68>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Anti-windup'
//  '<S69>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/D Gain'
//  '<S70>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Filter'
//  '<S71>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Filter ICs'
//  '<S72>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/I Gain'
//  '<S73>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Ideal P Gain'
//  '<S74>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Ideal P Gain Fdbk'
//  '<S75>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Integrator'
//  '<S76>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Integrator ICs'
//  '<S77>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/N Copy'
//  '<S78>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/N Gain'
//  '<S79>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/P Copy'
//  '<S80>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Parallel P Gain'
//  '<S81>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Reset Signal'
//  '<S82>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Saturation'
//  '<S83>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Saturation Fdbk'
//  '<S84>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Sum'
//  '<S85>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Sum Fdbk'
//  '<S86>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Tracking Mode'
//  '<S87>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Tracking Mode Sum'
//  '<S88>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/postSat Signal'
//  '<S89>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/preSat Signal'
//  '<S90>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Anti-windup/Passthrough'
//  '<S91>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/D Gain/Internal Parameters'
//  '<S92>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Filter/Disc. Forward Euler Filter'
//  '<S93>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Filter ICs/Internal IC - Filter'
//  '<S94>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/I Gain/Internal Parameters'
//  '<S95>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Ideal P Gain/Passthrough'
//  '<S96>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Ideal P Gain Fdbk/Disabled'
//  '<S97>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Integrator/Discrete'
//  '<S98>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Integrator ICs/Internal IC'
//  '<S99>'  : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/N Copy/Disabled'
//  '<S100>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/N Gain/Internal Parameters'
//  '<S101>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/P Copy/Disabled'
//  '<S102>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Parallel P Gain/Internal Parameters'
//  '<S103>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Reset Signal/Disabled'
//  '<S104>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Saturation/Passthrough'
//  '<S105>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Saturation Fdbk/Disabled'
//  '<S106>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Sum/Sum_PID'
//  '<S107>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Sum Fdbk/Disabled'
//  '<S108>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Tracking Mode/Disabled'
//  '<S109>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/Tracking Mode Sum/Passthrough'
//  '<S110>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/postSat Signal/Forward_Path'
//  '<S111>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller2/preSat Signal/Forward_Path'
//  '<S112>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Anti-windup'
//  '<S113>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/D Gain'
//  '<S114>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Filter'
//  '<S115>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Filter ICs'
//  '<S116>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/I Gain'
//  '<S117>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Ideal P Gain'
//  '<S118>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Ideal P Gain Fdbk'
//  '<S119>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Integrator'
//  '<S120>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Integrator ICs'
//  '<S121>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/N Copy'
//  '<S122>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/N Gain'
//  '<S123>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/P Copy'
//  '<S124>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Parallel P Gain'
//  '<S125>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Reset Signal'
//  '<S126>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Saturation'
//  '<S127>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Saturation Fdbk'
//  '<S128>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Sum'
//  '<S129>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Sum Fdbk'
//  '<S130>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Tracking Mode'
//  '<S131>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Tracking Mode Sum'
//  '<S132>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/postSat Signal'
//  '<S133>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/preSat Signal'
//  '<S134>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Anti-windup/Passthrough'
//  '<S135>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/D Gain/Internal Parameters'
//  '<S136>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Filter/Disc. Forward Euler Filter'
//  '<S137>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Filter ICs/Internal IC - Filter'
//  '<S138>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/I Gain/Internal Parameters'
//  '<S139>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Ideal P Gain/Passthrough'
//  '<S140>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Ideal P Gain Fdbk/Disabled'
//  '<S141>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Integrator/Discrete'
//  '<S142>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Integrator ICs/Internal IC'
//  '<S143>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/N Copy/Disabled'
//  '<S144>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/N Gain/Internal Parameters'
//  '<S145>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/P Copy/Disabled'
//  '<S146>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Parallel P Gain/Internal Parameters'
//  '<S147>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Reset Signal/Disabled'
//  '<S148>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Saturation/Passthrough'
//  '<S149>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Saturation Fdbk/Disabled'
//  '<S150>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Sum/Sum_PID'
//  '<S151>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Sum Fdbk/Disabled'
//  '<S152>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Tracking Mode/Disabled'
//  '<S153>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/Tracking Mode Sum/Passthrough'
//  '<S154>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/postSat Signal/Forward_Path'
//  '<S155>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller3/preSat Signal/Forward_Path'
//  '<S156>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Anti-windup'
//  '<S157>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/D Gain'
//  '<S158>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Filter'
//  '<S159>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Filter ICs'
//  '<S160>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/I Gain'
//  '<S161>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Ideal P Gain'
//  '<S162>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Ideal P Gain Fdbk'
//  '<S163>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Integrator'
//  '<S164>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Integrator ICs'
//  '<S165>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/N Copy'
//  '<S166>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/N Gain'
//  '<S167>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/P Copy'
//  '<S168>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Parallel P Gain'
//  '<S169>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Reset Signal'
//  '<S170>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Saturation'
//  '<S171>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Saturation Fdbk'
//  '<S172>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Sum'
//  '<S173>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Sum Fdbk'
//  '<S174>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Tracking Mode'
//  '<S175>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Tracking Mode Sum'
//  '<S176>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/postSat Signal'
//  '<S177>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/preSat Signal'
//  '<S178>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Anti-windup/Passthrough'
//  '<S179>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/D Gain/Internal Parameters'
//  '<S180>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Filter/Disc. Forward Euler Filter'
//  '<S181>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Filter ICs/Internal IC - Filter'
//  '<S182>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/I Gain/Internal Parameters'
//  '<S183>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Ideal P Gain/Passthrough'
//  '<S184>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Ideal P Gain Fdbk/Disabled'
//  '<S185>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Integrator/Discrete'
//  '<S186>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Integrator ICs/Internal IC'
//  '<S187>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/N Copy/Disabled'
//  '<S188>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/N Gain/Internal Parameters'
//  '<S189>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/P Copy/Disabled'
//  '<S190>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Parallel P Gain/Internal Parameters'
//  '<S191>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Reset Signal/Disabled'
//  '<S192>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Saturation/Passthrough'
//  '<S193>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Saturation Fdbk/Disabled'
//  '<S194>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Sum/Sum_PID'
//  '<S195>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Sum Fdbk/Disabled'
//  '<S196>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Tracking Mode/Disabled'
//  '<S197>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/Tracking Mode Sum/Passthrough'
//  '<S198>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/postSat Signal/Forward_Path'
//  '<S199>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller4/preSat Signal/Forward_Path'
//  '<S200>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Anti-windup'
//  '<S201>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/D Gain'
//  '<S202>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Filter'
//  '<S203>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Filter ICs'
//  '<S204>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/I Gain'
//  '<S205>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Ideal P Gain'
//  '<S206>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Ideal P Gain Fdbk'
//  '<S207>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Integrator'
//  '<S208>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Integrator ICs'
//  '<S209>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/N Copy'
//  '<S210>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/N Gain'
//  '<S211>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/P Copy'
//  '<S212>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Parallel P Gain'
//  '<S213>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Reset Signal'
//  '<S214>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Saturation'
//  '<S215>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Saturation Fdbk'
//  '<S216>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Sum'
//  '<S217>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Sum Fdbk'
//  '<S218>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Tracking Mode'
//  '<S219>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Tracking Mode Sum'
//  '<S220>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/postSat Signal'
//  '<S221>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/preSat Signal'
//  '<S222>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Anti-windup/Passthrough'
//  '<S223>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/D Gain/Internal Parameters'
//  '<S224>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Filter/Disc. Forward Euler Filter'
//  '<S225>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Filter ICs/Internal IC - Filter'
//  '<S226>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/I Gain/Internal Parameters'
//  '<S227>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Ideal P Gain/Passthrough'
//  '<S228>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Ideal P Gain Fdbk/Disabled'
//  '<S229>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Integrator/Discrete'
//  '<S230>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Integrator ICs/Internal IC'
//  '<S231>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/N Copy/Disabled'
//  '<S232>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/N Gain/Internal Parameters'
//  '<S233>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/P Copy/Disabled'
//  '<S234>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Parallel P Gain/Internal Parameters'
//  '<S235>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Reset Signal/Disabled'
//  '<S236>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Saturation/Passthrough'
//  '<S237>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Saturation Fdbk/Disabled'
//  '<S238>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Sum/Sum_PID'
//  '<S239>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Sum Fdbk/Disabled'
//  '<S240>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Tracking Mode/Disabled'
//  '<S241>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/Tracking Mode Sum/Passthrough'
//  '<S242>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/postSat Signal/Forward_Path'
//  '<S243>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller5/preSat Signal/Forward_Path'
//  '<S244>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Anti-windup'
//  '<S245>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/D Gain'
//  '<S246>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Filter'
//  '<S247>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Filter ICs'
//  '<S248>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/I Gain'
//  '<S249>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Ideal P Gain'
//  '<S250>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Ideal P Gain Fdbk'
//  '<S251>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Integrator'
//  '<S252>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Integrator ICs'
//  '<S253>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/N Copy'
//  '<S254>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/N Gain'
//  '<S255>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/P Copy'
//  '<S256>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Parallel P Gain'
//  '<S257>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Reset Signal'
//  '<S258>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Saturation'
//  '<S259>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Saturation Fdbk'
//  '<S260>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Sum'
//  '<S261>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Sum Fdbk'
//  '<S262>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Tracking Mode'
//  '<S263>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Tracking Mode Sum'
//  '<S264>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/postSat Signal'
//  '<S265>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/preSat Signal'
//  '<S266>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Anti-windup/Passthrough'
//  '<S267>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/D Gain/Internal Parameters'
//  '<S268>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Filter/Disc. Forward Euler Filter'
//  '<S269>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Filter ICs/Internal IC - Filter'
//  '<S270>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/I Gain/Internal Parameters'
//  '<S271>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Ideal P Gain/Passthrough'
//  '<S272>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Ideal P Gain Fdbk/Disabled'
//  '<S273>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Integrator/Discrete'
//  '<S274>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Integrator ICs/Internal IC'
//  '<S275>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/N Copy/Disabled'
//  '<S276>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/N Gain/Internal Parameters'
//  '<S277>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/P Copy/Disabled'
//  '<S278>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Parallel P Gain/Internal Parameters'
//  '<S279>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Reset Signal/Disabled'
//  '<S280>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Saturation/Passthrough'
//  '<S281>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Saturation Fdbk/Disabled'
//  '<S282>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Sum/Sum_PID'
//  '<S283>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Sum Fdbk/Disabled'
//  '<S284>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Tracking Mode/Disabled'
//  '<S285>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/Tracking Mode Sum/Passthrough'
//  '<S286>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/postSat Signal/Forward_Path'
//  '<S287>' : 'LAAP/Adaptive large angle controller/small_angle_control/Discrete PID Controller6/preSat Signal/Forward_Path'

#endif                                 // RTW_HEADER_LAAP_h_

//
// File trailer for generated code.
//
// [EOF]
//
